ScanopyScanopy
Credentials

Get credential by ID

GET
/api/v1/credentials/{id}

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Path Parameters

id*string

Credential ID

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/credentials/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "meta": {
    "api_version": 1,
    "server_version": "0.19.4"
  },
  "success": true,
  "data": {
    "assigned_site_ids": [
      "6604c96d-f10b-465d-898b-5d4cb60cc0d7"
    ],
    "credential_type": {
      "community": {
        "mode": "Inline",
        "value": "string"
      },
      "type": "SnmpCommunity"
    },
    "description": "string",
    "host_assignments": [
      {
        "host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b",
        "ip_address_ids": [
          "c2bc70c8-b7ad-480c-92cd-16dcad15753f"
        ]
      }
    ],
    "name": "string",
    "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
    "tags": [
      "a424dc99-d215-4281-ad2d-a3a9bc179925"
    ],
    "daemon_os": "Unix",
    "created_at": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "is_default": true,
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "error": "string"
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.19.4"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}

Product names and logos are trademarks of their respective owners. See credits.